games/corsix-th - The NetBSD Packages Collection

Reimplementation of the game engine of Theme Hospital

A reimplementation of the 1997 Bullfrog business sim Theme Hospital.

As well as faithfully recreating the original, CorsixTH adds support for
modern operating systems, high resolutions and much more.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/cmake devel/pkgconf

Runtime dependencies

devel/lua-filesystem devel/lua-lpeg audio/SDL2_mixer devel/SDL2 graphics/hicolor-icon-theme graphics/freetype2 graphics/freetype2 lang/lua53 multimedia/ffmpeg4 sysutils/desktop-file-utils audio/SDL2_mixer devel/SDL2 graphics/hicolor-icon-theme multimedia/ffmpeg4 sysutils/desktop-file-utils

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfcorsix-th-0.65.1nb1.tgz
NetBSD 8.0earmv7hfcorsix-th-0.64nb2.tgz
NetBSD 8.0i386corsix-th-0.64nb2.tgz
NetBSD 8.0powerpccorsix-th-0.64nb2.tgz
NetBSD 8.0powerpccorsix-th-0.64nb2.tgz
NetBSD 8.0powerpccorsix-th-0.64nb2.tgz
NetBSD 8.0x86_64corsix-th-0.64nb2.tgz
NetBSD 9.0aarch64corsix-th-0.65.1nb1.tgz
NetBSD 9.0aarch64corsix-th-0.64nb2.tgz
NetBSD 9.0aarch64corsix-th-0.64nb2.tgz
NetBSD 9.0alphacorsix-th-0.65.1nb1.tgz
NetBSD 9.0alphacorsix-th-0.64nb2.tgz
NetBSD 9.0alphacorsix-th-0.64nb2.tgz
NetBSD 9.0earmv6hfcorsix-th-0.65.1nb1.tgz
NetBSD 9.0earmv6hfcorsix-th-0.64nb2.tgz
NetBSD 9.0earmv6hfcorsix-th-0.64nb2.tgz
NetBSD 9.0earmv7hfcorsix-th-0.65.1nb1.tgz
NetBSD 9.0earmv7hfcorsix-th-0.64nb2.tgz
NetBSD 9.0earmv7hfcorsix-th-0.64nb2.tgz
NetBSD 9.0earmv7hfcorsix-th-0.65.1nb1.tgz
NetBSD 9.0i386corsix-th-0.64nb2.tgz
NetBSD 9.0i386corsix-th-0.64nb2.tgz
NetBSD 9.0mips64ebcorsix-th-0.64nb2.tgz
NetBSD 9.0powerpccorsix-th-0.64nb2.tgz
NetBSD 9.0powerpccorsix-th-0.64nb2.tgz
NetBSD 9.0powerpccorsix-th-0.64nb2.tgz
NetBSD 9.0sparc64corsix-th-0.64nb2.tgz
NetBSD 9.0sparc64corsix-th-0.64nb2.tgz
NetBSD 9.0sparc64corsix-th-0.65.1nb1.tgz
NetBSD 9.0sparccorsix-th-0.64nb2.tgz
NetBSD 9.0sparccorsix-th-0.64nb2.tgz
NetBSD 9.0x86_64corsix-th-0.64nb2.tgz
NetBSD 9.0x86_64corsix-th-0.65.1nb1.tgz
NetBSD 9.0x86_64corsix-th-0.64nb2.tgz
NetBSD 9.0x86_64corsix-th-0.64nb2.tgz
NetBSD 9.0x86_64corsix-th-0.65.1nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.